openstack-dashboard pkg in ubuntu14.04 install error

Bug #1443787 reported by yanchen on 2015-04-14
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
horizon (Ubuntu)
High
James Page

Bug Description

OS: ubuntu14.04
openstack: kilo

# apt-get install openstack-dashboard apache2 libapache2-mod-wsgi memcached python-memcache

......
Setting up python-django-horizon (1:2015.1~b3-0ubuntu2~cloud0) ...
Setting up openstack-dashboard (1:2015.1~b3-0ubuntu2~cloud0) ...
Adding system user `horizon' (UID 108) ...
Adding new user `horizon' (UID 108) with group `horizon' ...
Not creating home directory `/usr/share/openstack-dashboard/'.
Collecting and compressing static assets...
Traceback (most recent call last):
  File "manage.py", line 25, in <module>
    execute_from_command_line(sys.argv)
  File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 385, in execute_from_command_line
    utility.execute()
  File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 377, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 238, in fetch_command
    klass = load_command_class(app_name, subcommand)
  File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 41, in load_command_class
    module = import_module('%s.management.commands.%s' % (app_name, name))
  File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module
    __import__(name)
  File "/usr/lib/python2.7/dist-packages/compressor/management/commands/compress.py", line 28, in <module>
    from compressor.cache import get_offline_hexdigest, write_offline_manifest
  File "/usr/lib/python2.7/dist-packages/compressor/cache.py", line 8, in <module>
    from django.utils import simplejson
ImportError: cannot import name simplejson
dpkg: error processing package openstack-dashboard (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up memcached (1.4.14-0ubuntu9) ...
Starting memcached: memcached.
dpkg: dependency problems prevent configuration of openstack-dashboard-ubuntu-theme:
 openstack-dashboard-ubuntu-theme depends on openstack-dashboard (= 1:2015.1~b3-0ubuntu2~cloud0); however:
  Package openstack-dashboard is not configured yet.

dpkg: error processing package openstack-dashboard-ubuntu-theme (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          Errors were encountered while processing:
 openstack-dashboard
 openstack-dashboard-ubuntu-theme
E: Sub-process /usr/bin/dpkg returned an error code (1)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in horizon (Ubuntu):
status: New → Confirmed
Matt Kassawara (ionosphere80) wrote :

I'm seeing this problem too, 2015.1~b3-0ubuntu2 version.

James Page (james-page) on 2015-04-16
Changed in horizon (Ubuntu):
assignee: nobody → James Page (james-page)
status: Confirmed → In Progress
importance: Undecided → High
James Page (james-page) wrote :

Looks like we need to bump the django-compressor version - working that now.

Chris Sibbitt (csibbitt) wrote :

Confirming that latest trusty-updates including python-compressor_1.4-2ubuntu3~cloud0_all.deb fixed this for me

James Page (james-page) wrote :

Awesome - marking fix released!

Changed in horizon (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers